{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} All employees {% endblock title %}
{% block css %}
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bm/jq-3.6.0/dt-1.12.1/datatables.min.css" />
{% endblock css %}
{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Annual Holiday Calendar
        </p>
        <p class="subtitle">
            List of public holidays this calendar year
        </p>
    </div>
</section>
<div class="section">
    <div class="columns">
        <div class="column is-one-third is-offset-4">
            <div class="block mt-5">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Date</th>
                            <th>Day</th>
                            <th>Event</th>
                            <th>Événement</th>
                            {% if user.is_superuser %}
                            <th>Edit</th>
                            <th>Delete</th>
                            {% endif %}
                        </tr>
                    </thead>
                    <tbody>
                        {% for leave in leaves %}
                            <tr>
                                <td> {{leave.date}}</td>
                                <td> {{leave.date | date:"l"}}</td>
                                <td> {{leave.event}}</td>
                                <td> {{leave.evenement}}</td>
                                {% if user.is_superuser %}
                                <td><a href="{% url 'edit_holiday' cal_id=leave.id %}"><button class="button is-link is-small">Edit</button></a></td>
                                <td><a href="{% url 'delete_holiday' cal_id=leave.id %}"><button class="button is-danger is-small">Delete</button></a></td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                    </tbody>

                </table>
                <div class="has-text-centered">
                <a href="{% url 'holiday_new' %}"> <button class="button is-link ">Add</button></a>
            </div>
            </div>

        </div>

    </div>

</div>
{% endblock content %}